FreeMat

- Main Page
- Related Pages

vtkImageTranslateExtent

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageTranslateExtent shift the whole extent, but does not change the data.

To create an instance of class vtkImageTranslateExtent, simply invoke its constructor as follows

      obj = vtkImageTranslateExtent

# Methods

The class vtkImageTranslateExtent has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageTranslateExtent class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageTranslateExtent = obj.NewInstance ()`
- `vtkImageTranslateExtent = obj.SafeDownCast (vtkObject o)`
- `obj.SetTranslation (int , int , int )` - Delta to change "WholeExtent". -1 changes 0->10 to -1->9.
- `obj.SetTranslation (int a[3])` - Delta to change "WholeExtent". -1 changes 0->10 to -1->9.
- `int = obj. GetTranslation ()` - Delta to change "WholeExtent". -1 changes 0->10 to -1->9.